6.0.0-git
2019-03-23

[#11814] ActiveSync problem
Summary ActiveSync problem
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Not A Bug
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester leena.heino (at) uta (dot) fi
Created 2012-12-04 (2300 days ago)
Due
Updated 2012-12-07 (2297 days ago)
Assigned 2012-12-04 (2300 days ago)
Resolved 2012-12-07 (2297 days ago)
Milestone
Patch No

History
2012-12-07 17:29:07 Michael Rubinsky State ⇒ Not A Bug
 
2012-12-07 16:38:22 leena (dot) heino (at) uta (dot) fi Comment #14 Reply to this comment

[Show Quoted Text - 30 lines]
This issue seems to have fixed itself. I have multiple calendars for 
various testing or group calendar purposes. For some reason Kronolith 
changed the default calendar to the one that contained only those two 
entries.

Once I changed default calendar in Kronolith back to the calendar I 
use daily then all the calendar entries showed up in the devices.

If for some reason this happens to someone else:
1. Check from the Kronolith settings that default calendar setting is 
the primary calendar you use
2. If necessary change the default calendar entry
3. Force reprovisioning or full sync of the device by removing device 
entry from ActiveSync Device Administration
2012-12-07 16:12:30 leena (dot) heino (at) uta (dot) fi Comment #13 Reply to this comment

[Show Quoted Text - 25 lines]
I tested the ActiveSync with Windows Phone 8 device. It works exactly 
the same way as iOS 6 devices:
email sync works, contacs sync works, calendar sync only sync those 
same two entries as if nothing else exists in kronolith.
2012-12-07 15:53:55 leena (dot) heino (at) uta (dot) fi Comment #12 Reply to this comment

[Show Quoted Text - 18 lines]
The N8 and iOS devices log in problems might be because of bug 11832.

The problems of syncing calendar entries still exists with iOS. 
Reprovisioning only seems to produce log with those same two entries. 
Even if calendar entries on the server have changed and new entries 
have been added.
2012-12-04 19:14:21 leena (dot) heino (at) uta (dot) fi Comment #11
New Attachment: log3.zip Download
Reply to this comment
Is there any way to force device to do full sync so that device
clears its calendar and any caches it might use in the server and
syncs all the calendar entries it can.
Yes. Either recreate the account on the device, or remove the device 
from Horde using either the user's ActiveSync devices prefs or the 
administrative ActiveSync device page.
I removed the working iOS 6.0.1 device from Horde's ActiveSync panel 
and forcing it to do full sync. Now that device also syncs only those 
two entries. Just like the iOS device that broke earlier. Even the 
sync log is the same only difference is device id.

Also the N8 that seemed to work does not work anymore. The device only 
shows errors about not being able to contact Exchange server. I 
attached the sync log.

2012-12-04 18:16:57 Michael Rubinsky Comment #10 Reply to this comment
Is there any way to force device to do full sync so that device 
clears its calendar and any caches it might use in the server and 
syncs all the calendar entries it can.
Yes. Either recreate the account on the device, or remove the device 
from Horde using either the user's ActiveSync devices prefs or the 
administrative ActiveSync device page.
2012-12-04 18:14:38 leena (dot) heino (at) uta (dot) fi Comment #9 Reply to this comment

[Show Quoted Text - 10 lines]
Is there any way to force device to do full sync so that device clears 
its calendar and any caches it might use in the server and syncs all 
the calendar entries it can.
2012-12-04 18:07:41 Michael Rubinsky Comment #8
State ⇒ No Feedback
Reply to this comment
Well, from Horde's point of view an iPad/iPhone/iPod Touch are all the 
same. I cannot reproduce this on any of my devices which include 
various Android and iOS versions.

Without further logs, there is not much we can do to help. There have 
been a number of small bugfixes in Git recently regarding ActiveSync, 
so it's possible your issue(s) are fixed.

If you are able to provide a log while you can reproduce the errors, 
you may reopen the ticket. For now, I am marking as No Feedback.
2012-12-04 18:04:16 leena (dot) heino (at) uta (dot) fi Comment #7 Reply to this comment
Attached is a log entry from a device that seems to work or at least
the calendar shows all the entries.
This is also a log from iOS, I though you said iOS didn't work? 
Also, I would need the log from the initial sync. This log only 
contains data after all the entries are already sent to the device.
My mistake, I did not check earlier the other iOS 6.0.1 device. They 
both have the same settings and configuration only difference is that 
one is iPhone and the other is iPad.

The Nokia N8 seems to think that for some reason it cannot contact the 
Exchange server. It does this periodically.

Unfortunately I cannot provide the initial log for the iOS or the 
Nokia device that seems to work. The only logs I have are the ones I 
attached earlier.
2012-12-04 17:51:37 Michael Rubinsky Comment #6 Reply to this comment
Attached is a log entry from a device that seems to work or at least 
the calendar shows all the entries.
This is also a log from iOS, I though you said iOS didn't work? Also, 
I would need the log from the initial sync. This log only contains 
data after all the entries are already sent to the device.


2012-12-04 17:36:34 leena (dot) heino (at) uta (dot) fi Comment #5
New Attachment: log2.zip Download
Reply to this comment
According to the log, the iPhone is requesting events from 11/6/2012 
and later. Do you have more than two events after 11/6?

Can you provide a sync log from one of your devices that is working 
as you expect it to?
There should be at least 20 events after 11/6.

Attached is a log entry from a device that seems to work or at least 
the calendar shows all the entries.
2012-12-04 16:25:02 Michael Rubinsky Comment #4 Reply to this comment
According to the log, the iPhone is requesting events from 11/6/2012 
and later. Do you have more than two events after 11/6?

Can you provide a sync log from one of your devices that is working as 
you expect it to?
2012-12-04 16:09:42 leena (dot) heino (at) uta (dot) fi Comment #3
New Attachment: log.zip Download
Reply to this comment
These are expected and do not indicate any error.

Please indicate exactly what is not working and provide a full synclog.
I have two devices:
- Nokia N8, all the calendar entries within the month are synced and 
shown correctly
- iPhone with iOS 6.0.1, only the two latest entries made with that 
device are shown with ActiveSync, no other events are shown.

All the calendar Entries are shown correctly in Kronolith.

The problem is that until a couple of days ago ActiveSync used to work 
with iPhone.

I have recreated ActiveSync account in iPhone -> It only syncs and 
shows the last two entries
I have deleted the device in Horde ActiveSync panel -> It only syncs 
or shows the last two entries


2012-12-04 15:35:34 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
These are expected and do not indicate any error.

Please indicate exactly what is not working and provide a full synclog.
2012-12-04 15:33:30 leena (dot) heino (at) uta (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ ActiveSync problem
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Device fails to sync properly with ActiveSync. The debug log has 
following entry:
2012-12-04T17:18:56+02:00 DEBUG: I     <GetChanges/>
2012-12-04T17:18:56+02:00 DEBUG: I     <WindowSize>
2012-12-04T17:18:56+02:00 ERR: Unmatched content:
2012-12-04T17:18:56+02:00 ERR: Array
(
     [1] => 1
     [2] => WindowSize
     [4] => 1
)

2012-12-04T17:18:56+02:00 DEBUG: I      25
2012-12-04T17:18:56+02:00 DEBUG: I     </WindowSize>

Tested device: iOS 6.0.1

Saved Queries